The latest campaigns that went out, as the campaigns list shows them
GET
/api/v1/workspaces/{workspace}/overview/recent-campaigns
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/overview/recent-campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/overview/recent-campaigns';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/overview/recent-campaigns \ --header 'Authorization: Bearer <token>'Permission: campaigns:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
required
Array<object>
object
audience
required
string
blocked
required
boolean
channel
required
string
clicks
number format: double
cost
number format: double
createdAt
required
string format: date-time
delivered
number format: double
digest
object
approvalId
string
id
required
string
issueStatus
required
string
name
required
string
posts
required
integer format: int64
preparedAt
string format: date-time
sendAt
string format: date-time
humanOpens
number format: double
id
required
string
local
boolean
localTime
string
name
required
string
notes
required
Array<string>
optOuts
integer format: int64
origin
string
paidOnly
required
boolean
readiness
object
issues
required
integer format: int64
verdict
required
string
recipients
integer format: int64
routes
required
Array<object>
object
adapter
required
string
percent
required
number format: double
planned
required
integer format: int64
provider
required
string
providerId
required
string
sent
required
integer format: int64
short
required
string
scheduledAt
string format: date-time
startedAt
string format: date-time
status
required
string
timezone
string
updatedAt
required
string format: date-time
updatedBy
required
string
Example
{ "items": [ { "channel": "email", "digest": { "issueStatus": "collecting" }, "readiness": { "verdict": "ready" }, "routes": [ { "adapter": "ses", "provider": "Amazon SES", "short": "SES" } ], "status": "draft" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}